\ Globale Einstellungen fr den Druck
\ - Ausgabe auf den Drucker ( +NOPRINT = Ausgabe auf Bildschirm )
\ - "Geschwtzigkeit" des Programms einschalten
\ - Nach beenden des Documents ein FormFeed schicken
\
$-NOPRINT$
$+TALK$
$+NEWPAGE$
\
\ Rechnungsformular
\ fr allgemeine Rechnungen
\
\ In diesem Formular wird von MwSt. Incl. ausgegangen.
\
\ Beispiel; Lieferung zu Virgil, der Lagerbutler V4
\                        (c) by Andreas Pietsch / SupiX Software
\
\ Alle Register auf 0 setzen.
\
$CLEAR ALL$
\
\ Beginn des Ausdrucks
\
!
!Karl Mustermann                             Bankverbindung: Geizig Bank AG
!Musterstr. 134                                         BLZ: 500 500 50
!1234 Musterstadt                                     Konto: 121212-12
!Tel: 12345/6789
!
!
          #K->Name#
\
\ '%' Sollte Postfach 'leer' sein, wird diese Zeile nicht gedruckt.
\
          #%K->Postfach#
          #K->Strasse:-30#                     Datum: #SYSDATE#
!
          #K->Ort#
!
!
!
Rechnung Nr.: #R->Nr#
!
!
Sehr geehrte#K->Anrede#
!
!hiermit liefern wir Ihnen die untenstehenden Artikel:
!
!
!Pos. Artikelnummer  Bezeichnung             Menge   E-Preis Gesamt DM
!-----------------------------------------------------------------------
$BEGIN REPEAT$
\
\ $NOLF$, da keine Zeile lnger als 80 Zeichen sein darf!
\
(#Count:2#) #A->Nummer:-14# #A->Bezeichnung:-20# $NOLF$
#R->Menge:8# #R->Preis:9# #R->Gesamt:9#
\
\
\ Ausrechnen des Rechnungsendpreises (Ergebnis in Register 10)
$ADD   ( REG [10], R->Gesamt )$
\
\
\ Die Mehrwertsteuer wird ausgerechnet:
\
\  zuerst 'zuzglich':    (Ergebnis in Register 8)
\
$STORE ( REG [1], A->MWST   )$
$STORE ( REG [2], R->Gesamt )$
$STORE ( REG [3], 100       )$
$MUL   ( REG [1], REG [2]   )$
$DIV   ( REG [1], REG [3]   )$
$ADD   ( REG [8], REG [1]   )$
\
\  dann 'Inclusive':    (Ergebnis in Register 9)
\
$STORE ( REG [1], 100       )$
$ADD   ( REG [1], A->MWST   )$
$STORE ( REG [2], R->Gesamt )$
$STORE ( REG [3], 100       )$
$MUL   ( REG [3], REG [2]   )$
$DIV   ( REG [3], REG [1]   )$
$SUB   ( REG [2], REG [3]   )$
$ADD   ( REG [9], REG [2]   )$
\
$END REPEAT$
!-----------------------------------------------------------------------
\
                                               Endbetrag DM #+REG [10]:9#
!                                               ========================
!
Der Betrag von #REG [10]# DM ist 14 Tage nach Rechnungsdatum, also bis
zum #DATE ( 14 )# auf obenstehendes Konto zu berweisen.
!
$MAHNBETRAG ( REG [10] )$
$SETMNUMMER$
\
Im Rechnungsbetrag sind #REG [9]# DM MwSt enthalten.
!
!
Mit freundlichen Gren
!
!
!
Karl Mustermann
$ENDFORM$

